Subject: [OSPF] doubt on sham link

From: "Santosh P K" <[email-masked]>
Date: Tue, 20 Mar 2007 15:54:56 +0530

Hi All,
      I have some doubts on sham link. If a sham link is configured
between two PE's which are connected by many P routers in IP backbone
, then is it nessary for all the P routes to run OSPF.
                       As per cisco user guid it is mentioned that
sham link is treated as virtual link. In case of virtual link
inbetween routers need to know OSPF protocol.

Thanks and regards
Santosh P K

_______________________________________________
OSPF mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf

---

From: "Abhay D.S" <[email-masked]>
Date: Tue, 20 Mar 2007 18:38:53 +0800

It is a SHAM...:-).

Only sham link end point needs to be enabled in OSPF and reachable over 
the multi hop
network by BGP or static means.

Means Sham Link end points must be routable over the network for it to 
become UP.

---

From: "Santosh P K" <[email-masked]>
Date: Tue, 20 Mar 2007 16:17:08 +0530

Hi Abhay,

     Thanks. Are OSPF control packts just forwarded by P routers on
sham link ? RFC 4577 says that  Sham link is treated as  OSPF demand
circuit. In case of broad cast or NBMA configured as demand circuit
hello are not supressed as per RFC 1793 section 3.2. that means hello
are also forwarded to the endpoint just as OSPF control packets by P
router on sham link?

Thanks and regards
Santosh P K

---

From: "Abhay D.S" <[email-masked]>
Date: Tue, 20 Mar 2007 19:00:24 +0800

Yes forwarded by routers.

Well, about the demand circuit part I suggest you dont follow the RFC,
since it may or may not be treated as DEMAND circuit.(It is a requirement
of the network to treat it as demand circuit, for example if you have 
heavy load
of traffic on sham link then you can treat it as DC(demand circuit).

If you really want to use sham link optimally, you can just increase the 
hello timeout
on the sham links to be large and then let it be a proper p2p link. It 
is similar to hello
suppression..

--Abhay

---

From: "Santosh P K" <[email-masked]>
Date: Tue, 20 Mar 2007 16:38:49 +0530

In case we increase hello dead interval and hello interval on sham
link then will it not cause delay in detecting the neighbor going
down? Or there is there any way to detect neighbor going reachablity
than hello protocol in boradcast or NBMA network on sham link?

---

From: "Abhay D.S" <[email-masked]>
Date: Tue, 20 Mar 2007 19:13:22 +0800

Use BFD protocol for that !

---

From: Padma Pillay-Esnault <[email-masked]>
Date: Tue, 20 Mar 2007 04:14:59 -0700

Abhay D.S wrote:
> If you really want to use sham link optimally, you can just increase 
> the hello timeout
Sham link is a logical construct like VL and it is always a p2p.

Thanks

Padma
> ------------------------------------------------------------------------
>

---

From: "Santosh P K" <[email-masked]>
Date: Tue, 20 Mar 2007 16:58:15 +0530

Hi Padma,
      When you said its a "logical construct like VL and it is always
a p2p" you mean the underlaying link is always P2P link?  If it is an
P2P link then PE's should be connected directly not by inbetween P
routers right ?
      I am getting confused with this P2P link. Can you please explain this?

---

From: "Abhay D.S" <[email-masked]>
Date: Tue, 20 Mar 2007 19:30:40 +0800

Bad review work. What is VL ?. Er ...sorry..

Anyway we are aware about VL(Virtual Links) are similar in
nature to Sham Links,but we need not mix them up as they
are mutually exclusive.

Padma Pillay-Esnault wrote:
>> on the sham links to be large and then let it be a proper p2p link. 
>> It is similar to hello
>> suppression..
>>
>> --Abhay
>>
>> Santosh P K wrote:
>>> Hi Abhay,
>>>

---

From: "Bhatia, Manav \(Manav\)" <[email-masked]>
Date: Tue, 20 Mar 2007 17:11:19 +0530

Hi Santosh,

A sham link is essentially a tunnel, similar to a virtual link, except
that it has this special function of maintaining LSA types across the
cloud. It is required between any two sites that share a backdoor link.
If no backdoor link exists between the sites, then a sham-link is not
required. 

Cheers,
Manav

> -----Original Message-----
> From: Santosh P K [mailto:[email-masked]] 
> Sent: Tuesday, March 20, 2007 4:58 PM
> To: Padma Pillay-Esnault
> Cc: [email-masked]
> Subject: Re: [OSPF] doubt on sham link
> 
> Hi Padma,

---

From: Acee Lindem <[email-masked]>
Date: Tue, 20 Mar 2007 08:38:00 -0400

Santosh,

Let me jump in here since I think I know where the confusion lies.

   - As far as the P routers are concerned, all they see is an
     MPLS Label Switched Path (LSP) between the PE routers.

   - Section 4.2.7.3 in RFC 4577 does a pretty good job of
     explaining OSPF operation in this context. Please re-read
     this section and feel free to ask questions.

Hope this helps,
Acee

---

From: Padma Pillay-Esnault <[email-masked]>
Date: Tue, 20 Mar 2007 07:49:30 -0700

>      I am getting confused with this P2P link. Can you please explain 

A Virtual Link is a p2p interface as far as OSPF is concerned regardless 
of the
nature of the physical interfaces used to forward the protocol packets.
Hence, a VL can span over a mix of p2p and broadcast interfaces and yet is
still a p2p for OSPF.

What I mean by logical construct is that only OSPF knows about a Virtual 
Link
interface. A virtual like network type is not configurable and is always 
a p2p.

Sham links are a logical internal OSPF interface (construct) similar to VL.
It can span over any physical media but from an OSPF perspective it is a 
p2p.

Hope this helps

Padma